path "E:\\GStudio\\GStudio_pro_6.6\\template";	// Path to WDL templates subdirectory

////////////////////////////////////////////////////////////////////////////
// The engine starts in the resolution given by the follwing vars.
var video_mode =7;	 // screen size 640x480
var video_depth = 32; // 16 bit colour D3D mode


/////////////////////////////
// Variablen
//////////////////////////////
string level_str = <level.WMB>; // give file names in angular brackets



	var earthgravity[3] = 0,0, -386;

////////////////////////////////////////////////////////////////
// The main() function is started at game start
function main()
{
	sky_color.red = 140;
	sky_color.green = 140;
	sky_color.blue = 180;
	level_load(level_str);
	wait(-2);
	randomize();
	ph_setgravity( earthgravity );
	mouse_pointer=2;
	mouse_mode=1;
	mouse_range=40000;
//	ph_setautodisable(0.01, 0.008, 10, 0.1);
//ph_setcorrections(0,0); // switch off error correction for joints 
//ph_setcollisions(20000, 100); // make collision contacts soft/spongy
ph_setcollisions(1000, 0);
	ph_fps_max_lock =100;
	ph_iterations=30;
//	ph_check_distance = 0;

       
}
entity* selEnt;
entity* pfeilEnt;
var pfeil_pan=0;
material mat_red
{
	ambient_red=255;
	ambient_blue=100;
	ambient_green=100;
	diffuse_red=160;
	diffuse_green=160;
	diffuse_blue=160;
}
bmap light_bmp=<light.pcx>;
material rob_mat
{
	ambient_red=90;
	ambient_green=90;
	ambient_blue=90;
	diffuse_red=160;
	diffuse_green=160;
	diffuse_blue=160;
	skin1=light_bmp;
	power=30;
	
	effect="eff.fx";
}
function stein_event()
{
	if(selEnt!=0)
	{
		selEnt.material=rob_mat;
	}
	selEnt=my;
	selEnt.material=mat_red;
}
action stein
{
	my.material=rob_mat;
	my.event=stein_event;
	my.enable_click=1;
	my.scale_z-=random(0.15);
	c_updatehull(my,0);
	wait(-2);
	phent_settype( my, PH_RIGID, PH_BOX );
	phent_setmass(my, 30, PH_BOX);
	phent_setfriction(my, 50);
	phent_setelasticity(my, 0,0);
//
}
action pfeil
{
	pfeilEnt=my;
	my.passable=1;
}
starter mouseForce
{
	sleep(2);
	var tKey_x;
	var tKey_y;
	tKey_x=0;
	tKey_y=0;
	while(1)
	{
		vec_set(mouse_pos,mouse_cursor);
		if(selEnt!=0)
		{
			if((key_cur||key_cul)&&tKey_x==0)
			{
				tKey_x=1;
				pfeil_pan+=90;
				pfeil_pan%=360;
				vec_set(pfeilEnt.x,selEnt.x);
				pfeilEnt.pan=pfeil_pan;
			}
			if((key_cur==0 && key_cul==0)&&tKey_x==1)
			{
				tKey_x=0;
			}
			if(key_space)
			{
				phent_addcentralforce ( selEnt, vector(40000*cos(pfeil_pan),40000*sin(pfeil_pan),0) );
			}
			if(key_r)
			{
				ent_remove(selEnt);
				selEnt=0;
			}
		}		
		wait(1);
	}
}